=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	-rm -rf build/release/*

override_dh_auto_install:
	cp scripts/aspcud.sh debian/aspcud/usr/bin/aspcud
