## aspcud 1.9.0

=== debian/changelog ===
aspcud (1:1.9.0-2) unstable; urgency=medium

  * add debian/watch

 -- Ralf Treinen <treinen@debian.org>  Sat, 21 Jun 2014 11:00:37 +0200

aspcud (1:1.9.0-1) experimental; urgency=low

  * New upstream release. Drop patches that are now obsolete:
    - pathes
    - cmake-use-environment
    - add-trendy-criterion
    - misc11-backward-compatiblity
  * Use install target provided by upstream:
    - drop target override_dh_auto_install in debian/rules
    - remove now obsolete entries from debian/aspcud.install
  * Add version constraint on build-dependency re2c, according to INSTALL
  * Bump versions on dependencies clasp and gringo, according to INSTALL
  * Drop dependency on python which is no longer needed. Yeah!
  * debian/tests/upstream: add one user criterion from each misc11 and misc12
  * debian/aspcud.manpages: install upstream's manpage instead of our own

 -- Ralf Treinen <treinen@debian.org>  Wed, 05 Mar 2014 21:41:02 +0100 

aspcud (1:1.8.0-3) unstable; urgency=low
  * migrate to clasp 3:
    - bump version in build-dependency on clasp
    - add patch clasp3 provided by upstream
  * add version to build-dependency on re2c, according to INSTALL file

 -- Ralf Treinen <treinen@debian.org>  Wed, 26 Feb 2014 21:07:49 +0100
