=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ralf Treinen <treinen@debian.org>
 Build-Depends: debhelper (>= 9),
-  libboost-dev (>= 1.46), cmake (>= 2.6), re2c
+  libboost-dev (>= 1.46), cmake (>= 2.6), re2c (>= 0.13)
 Standards-Version: 3.9.5
 Homepage: http://www.cs.uni-potsdam.de/wv/aspcud/
 Vcs-Git: git://git.debian.org/git/collab-maint/aspcud.git
@@ -13,9 +13,8 @@
 Package: aspcud
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- python,
- gringo (>= 4),
- clasp (>= 2.1.0), clasp (<< 3)
+ gringo (>= 4.2.1),
+ clasp (>= 3.0.0), clasp (<< 4)
 Provides: cudf-solver
 Description: CUDF solver based on Answer Set Programming
  Aspcud is an experimental solver for package dependencies. A package
