## aspcud 1.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,11 @@
 	message(FATAL_ERROR "The file CmakeCache.txt and directory CMakeFiles in the root directory have to be deleted manually now")
 endif()
 
-# user configurables
-set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Build type: Release Debug")
-
 project(aspcud)
 
 include(cmake/re2c.cmake)
 include(cmake/lemon.cmake)
+include(GNUInstallDirs)
 
 IF(USE_STATIC_LIBS)
 	set(CMAKE_EXE_LINK_DYNAMIC_C_FLAGS)
@@ -43,3 +41,6 @@
 add_subdirectory(libprogram_opts)
 add_subdirectory(app)
 
+install(FILES "${CMAKE_SOURCE_DIR}/share/aspcud/misc2012.lp" "${CMAKE_SOURCE_DIR}/share/aspcud/specification.lp" DESTINATION "${CMAKE_INSTALL_DATADIR}/aspcud")
+install(FILES "${CMAKE_SOURCE_DIR}/man/man1/aspcud.1" "${CMAKE_SOURCE_DIR}/man/man1/cudf2lp.1" DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
+
