=== lemon/CMakeLists.txt ===
ADD_EXECUTABLE(lemon lemon.c)
EXPORT(TARGETS lemon FILE ${CMAKE_BINARY_DIR}/import_lemon.cmake)
