=== debian/changelog ===
aspcud (1:1.9.1-2) unstable; urgency=low

  * Patch check-criteria: check whether field names used in optimisation
    criteria are default fields, or declared in the preamble of the cudf
    document. Thanks to Roland Kaminski for the patch! (closes: #780899)

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Jun 2015 20:27:04 +0200

aspcud (1:1.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/aspcud.dirs: drop empty directory usr/lib/aspcud/bin
  * Standards-version 3.9.6 (no change).
  * debian/control: XS-Testsuite => Testsuite
  * debian/control: canonize URI in VCS fields

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 May 2015 07:44:32 +0200
