=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ralf Treinen <treinen@debian.org>
 Build-Depends: debhelper (>= 9),
   libboost-dev (>= 1.46), cmake (>= 2.6), re2c (>= 0.13)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.cs.uni-potsdam.de/wv/aspcud/
-Vcs-Git: git://git.debian.org/git/collab-maint/aspcud.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/aspcud.git;a=summary
-XS-Testsuite: autopkgtest
+Vcs-Git: git://anonscm.debian.org/collab-maint/aspcud.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/aspcud.git
+Testsuite: autopkgtest
 
 Package: aspcud
 Architecture: any
