=== debian/watch ===
version=2
http://sf.net/potassco/aspcud-(\d\S*)-source\.tar\.gz
