=== debian/changelog ===
aspcud (1:1.9.4-1) unstable; urgency=medium

  * New upstream release
    - drop patches lemon-gcc7 and check-criteria which are already applied
      in this upstream version.
  * debian/watch: new upstream repo at github
  * debian/copyright:
    - license changed to MIT
    - separate files under GPL3 are no longer part of the release
    - add public-domain for file .ycm_extra_conf.py
    - update source address
    - update copyright year
    - use https in url of format spec
  * drop debian/aspcud.manpages which is no longer needed.
  * Standards-version 4.1.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 24 Sep 2017 12:39:48 +0200

aspcud (1:1.9.1-3) unstable; urgency=medium

  * Patch lemon-gcc7: update lemon for gcc-7 (closes: #872668).
  * d/control: dropped redundant Testsuite field.
  * Standards-Version 4.0.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 10 Sep 2017 20:06:13 +0200
