=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Ralf Treinen <treinen@debian.org>
 Build-Depends: debhelper (>= 9),
   libboost-dev (>= 1.46), cmake (>= 2.6), re2c (>= 0.13)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Homepage: http://www.cs.uni-potsdam.de/wv/aspcud/
 Vcs-Git: git://anonscm.debian.org/collab-maint/aspcud.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/aspcud.git
-Testsuite: autopkgtest
 
 Package: aspcud
 Architecture: any
