=== debian/changelog ===
aspcud (1:1.9.5-1ubuntu1) jammy; urgency=medium

  * Update vendored catch2 to 2.13.9 to avoid FTBFS with glibc 2.34

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 Apr 2022 10:27:19 +0000

aspcud (1:1.9.5-1) unstable; urgency=medium

  * New upstream release.
    - drop patch fix_boost_174_FTBFS, this has been fixed upstream
  * update debian watch (version 4, urls at github)
  * debian/copyright: drop paragraph about .ycm_extra_conf.py which is
    no longer part of the upstream release.
  * Standards-version 4.6.0 (no change)
  * Add dbian/upstream/metadata

 -- Ralf Treinen <treinen@debian.org>  Mon, 29 Nov 2021 21:48:41 +0100

aspcud (1:1.9.4-3) unstable; urgency=medium

  [ Anton Gladky ]
  * Fix FTBFS against boost_1,74. (closes: #974539)

  [ Ralf Treinen ]
  * Update homepage, thanks to Ivo De Decker (closes: #960879)
  * Build-depend on debian-compat, drop file debian/compat
  * Debhelper compatibility level 13 (no change)
  * Set Rules-Requires-Root=no
  * Standards-Version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Thu, 12 Nov 2020 20:37:06 +0100

aspcud (1:1.9.4-2) unstable; urgency=medium

  * Update Vcs-* to salsa
  * Standards-Version 4.3.0
    - replace Priority extra by optional
  * Debhelper compatibility level 11
  * Remove trailing whitespace in changelog
  * Install examples

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 Dec 2018 18:44:23 +0100
