=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: aspcud
 Section: admin
-Priority: extra
-Maintainer: Ralf Treinen <treinen@debian.org>
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ralf Treinen <treinen@debian.org>
+Build-Depends: debhelper-compat (= 13),
   libboost-dev (>= 1.46), cmake (>= 2.6), re2c (>= 0.13)
-Standards-Version: 4.1.0
-Homepage: http://www.cs.uni-potsdam.de/wv/aspcud/
-Vcs-Git: git://anonscm.debian.org/collab-maint/aspcud.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/aspcud.git
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://potassco.org/aspcud/
+Vcs-Git: https://salsa.debian.org/debian/aspcud.git
+Vcs-Browser: https://salsa.debian.org/debian/aspcud
 
 Package: aspcud
 Architecture: any
