=== debian/watch ===
version=4
https://github.com/potassco/aspcud/releases .*/v?(\d\S+)\.tar\.gz
