=== debian/changelog ===
aspcud (1:1.9.6-3) unstable; urgency=medium

  * Patch cmake-version: bump up version of cmake (closes: #1112751)
  * Standards-version 4.7.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 28 Sep 2025 20:55:15 +0200

aspcud (1:1.9.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Ralf Treinen ]
  * Fix cross compilation. Thanks to Helmut Grohne for the patch
    (closes: #1023488).
  * Fix watch file

 -- Ralf Treinen <treinen@debian.org>  Wed, 16 Nov 2022 21:41:13 +0100

aspcud (1:1.9.6-1) unstable; urgency=medium

  * New upstream release (closes: #1017131,#1000852).
  * Standards-Version 4.6.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 05 Sep 2022 20:28:46 +0200
