=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: aspcud
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ralf Treinen <treinen@debian.org>
+Maintainer: Ralf Treinen <treinen@debian.org>
 Build-Depends: debhelper-compat (= 13),
   libboost-dev (>= 1.46), cmake (>= 2.6), re2c (>= 0.13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://potassco.org/aspcud/
 Vcs-Git: https://salsa.debian.org/debian/aspcud.git
