=== debian/tests/control ===
Tests: upstream
Depends: @, cudf-tools
Restrictions: allow-stderr
