=== debian/watch ===
version=4
https://github.com/potassco/aspcud/tags .*/v?([\d\.]+)\.tar\.gz
