=== debian/control ===
Source: aspcud
Section: admin
Priority: extra
Maintainer: Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
  libboost-dev (>= 1.46), cmake (>= 2.6), re2c
Standards-Version: 3.9.3
Homepage: http://www.cs.uni-potsdam.de/wv/aspcud/
Vcs-Svn: https://gforge.info.ucl.ac.be/svn/mancoosi/trunk/updb/debian-packages/aspcud/trunk
Vcs-Browser: https://gforge.info.ucl.ac.be/svn/mancoosi/trunk/updb/debian-packages/aspcud/trunk

Package: aspcud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gringo, clasp (>= 2.0.0)
Provides: cudf-solver
Description: CUDF solver based on Answer Set Programming
 Aspcud is an experimental solver for package dependencies. A package
 universe and a request to install, remove or upgrade packages have
 to be encoded in the CUDF format.
