## aspcud 2012.10.24

=== debian/control ===
Source: aspcud
Section: admin
Priority: extra
Maintainer: Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 9),
  libboost-dev (>= 1.46), cmake (>= 2.6), re2c
Standards-Version: 3.9.4
Homepage: http://www.cs.uni-potsdam.de/wv/aspcud/
Vcs-Git: git://git.debian.org/git/collab-maint/aspcud.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/aspcud.git;a=summary

Package: aspcud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gringo, clasp (>= 2.1.0)
Provides: cudf-solver
Description: CUDF solver based on Answer Set Programming
 Aspcud is an experimental solver for package dependencies. A package
 universe and a request to install, remove or upgrade packages have
 to be encoded in the CUDF format.
